/**
  ******************************************************************************
  * @file    azure_config.h
  * @author  SRA - Central Labs
  * @version V5.0.0
  * @date    18-March-2020
  * @brief   azure1 configuration
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2020 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under Ultimate Liberty license
  * SLA0055, the "License"; You may not use this file except in compliance with
  * the License. You may obtain a copy of the License at:
  *                             www.st.com/SLA0055
  *
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __AZURE_CONFIG_H
#define __AZURE_CONFIG_H

/* Exported define ------------------------------------------------------------*/

///*************** Default WIFI Credential ******************/
#define AZURE_DEFAULT_SSID "Network_SSID"
#define AZURE_DEFAULT_SECKEY "Network_PASS"
#define AZURE_DEFAULT_PRIV_MODE WPA_Personal


#ifdef AZURE_PRINT_CERTIFICATES
  /* This define it's used ONLY for creating Leaf Certificates for Group Enrollment */
  #define AZURE_PRODUCE_LEAF_CERTIFICATES
#endif /* AZURE_PRINT_CERTIFICATES */

/*************** Enable Print Informations ******************/
#define AZURE_ENABLE_PRINTF

/*************** NTP end point ******************/
#define NTP_ENDPOINT_IPADDRESS_DEFAULT  "time.nist.gov"
#define NTP_ENDPOINT_TCPPORT            37


/**************************************
 * Don't Change the following defines *
***************************************/

/* Package Version only numbers 0->9 */
#define AZURE_VERSION_MAJOR '5'
#define AZURE_VERSION_MINOR '0'
#define AZURE_VERSION_PATCH '0'

/* Package Name */
#define AZURE_PACKAGENAME "FP-CLD-Azure1"
#define WEB_DASHBOARD_URL "stm32ode-v2.azurewebsites.net"

/* Uncomment the following define if you want to use the STM32 Unique ID
 * instead of MAC address like device name */
#define AZURE_USE_STM32_UID

#ifdef AZURE_ENABLE_PRINTF
  #define AZURE_PRINTF(...) printf(__VA_ARGS__)
#else /* AZURE_ENABLE_PRINTF */
  #define AZURE_PRINTF(...)
#endif /* AZURE_ENABLE_PRINTF */

/* UART2 */
#define CFG_HW_UART1_BAUDRATE             115200

#endif /* __AZURE_CONFIG_H */

